Module java.sql.rowset
Package javax.sql.rowset.spi

## Class SyncFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - javax.sql.rowset.spi.SyncFactoryException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class SyncFactoryException
    extends SQLException

Indicates an error with `SyncFactory` mechanism. A disconnected RowSet implementation cannot be used without a `SyncProvider` being successfully instantiated

Since:
  1.5
See Also:
  `SyncFactory`, `SyncFactoryException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyncFactoryException()` Creates new `SyncFactoryException` without detail message.
`SyncFactoryException(String msg)` Constructs an `SyncFactoryException` with the specified detail message.

### Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### SyncFactoryException

    public SyncFactoryException()

Creates new `SyncFactoryException` without detail message.

#### SyncFactoryException

    public SyncFactoryException(String msg)

Constructs an `SyncFactoryException` with the specified detail message.

Parameters:
  `msg` - the detail message.